<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\DatamodulHelper\KursHelper;

class KursKopieMitarbeiterKurse extends KursKopieHelper
{
  
  protected function getKursnummern($dbwKurse)
  {
    if ($this->toolSettings->kurskopie_useBereichsRechte) {
      $kursNrAry = $dbwKurse->getKursIdsByBereichsrechte($this->user->getIdentifier());
    } else {
      $kursNrAry = $dbwKurse->getKursIds();
    }

    return $kursNrAry;
  }

  protected function setzeEinstellungen($dbwKurse)
  {
    parent::setzeEinstellungen($dbwKurse);

    if ($this->toolSettings->kurskopie_sameAussenst) {
      $dbwben = new \DBWorkBASysUser();
      $ben = $dbwben->getBASysUser($this->user->ben);
      if ($ben && !($this->user->isAdmin())) {
        $dbwKurse->setDBObject4Ast($ben->aussenstelle);
      }
    }

    $dbwKurse->fromobject->verwaltend = $this->toolSettings->kurskopie_verwaltend;
    $dbwKurse->fromobject->planend = $this->toolSettings->kurskopie_planend;

    return $dbwKurse;
  }
}